Time.hpp File Reference
`#include <string>`
`#include <ui-utilcpp/Exception.hpp>`
Include dependency graph for Time.hpp:

## Data Structures

class | UI::Util::RealTimeStamp
| RealTimeStamp class encapsulating "gettimeofday". More...
class | UI::Util::ScopeRealTime
| Log time used for a scope. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Functions

long int | UI::Util::getTimeValSec ()
| Get "sec"-part from gettimeofday(2).
long int | UI::Util::getTimeValUSec ()
| Get "usec"-part from gettimeofday(2).
unsigned int | UI::Util::nanosleep (unsigned int seconds, long int nanoseconds)
| No Signal Sleep: Using POSIX nanosleep(2).
unsigned int | UI::Util::nssleep (unsigned int seconds)
| No Signal Seconds Sleep: Using POSIX nanosleep(2).
unsigned int | UI::Util::nsnsleep (long int nanoseconds)
| No Signal Nano Sleep.
std::ostream & | UI::Util::operator<< (std::ostream &os, RealTimeStamp const &rt)
| Streaming operator for RealTimeStamp.